apiVersion: v1
kind: Pod
metadata:
  name: minio
  labels:
    app: minio
spec:
  restartPolicy: Always
  containers:
  - name: minio
    image: docker.io/minio/minio:latest
    ports:
    - hostPort: 9000
      containerPort: 9000
    - hostPort: 9001
      containerPort: 9001
    env:
    - name: MINIO_ROOT_USER
      value: admin
    - name: MINIO_ROOT_PASSWORD
      value: -1M8DEgI-F1uUd_o-N0n9Q
    volumeMounts:
    - name: vol-0
      mountPath: /data
    command:
    - server
    - /data
    - --console-address
    - :9001
  volumes:
  - name: vol-0
    hostPath:
      path: ~/minio/data
      type: DirectoryOrCreate
